avro-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kojirom...@apache.org
Subject [avro] branch master updated: AVRO-2630: Use apt-get to install perl modules. (#736)
Date Tue, 10 Dec 2019 01:16:20 GMT
This is an automated email from the ASF dual-hosted git repository.

kojiromike pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/avro.git


The following commit(s) were added to refs/heads/master by this push:
     new 2b8d730  AVRO-2630: Use apt-get to install perl modules. (#736)
2b8d730 is described below

commit 2b8d7308489b4e9b4669fdedead59eb1b6544ec8
Author: RyanSkraba <ryan@skraba.com>
AuthorDate: Tue Dec 10 02:16:12 2019 +0100

    AVRO-2630: Use apt-get to install perl modules. (#736)
    
    Using apt-get to install perl modules in the Dockerfile speeds up the build significantly.
---
 share/docker/Dockerfile | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

diff --git a/share/docker/Dockerfile b/share/docker/Dockerfile
index d5295d8..473835e 100644
--- a/share/docker/Dockerfile
+++ b/share/docker/Dockerfile
@@ -96,24 +96,26 @@ RUN curl -sSL https://phar.phpunit.de/phpunit-5.7.phar > /usr/local/bin/phpunit
  && chmod +x /usr/local/bin/phpunit
 
 # Install Perl modules
+RUN apt-get -qqy update \
+ && apt-get -qqy install --no-install-recommends libcompress-raw-zlib-perl \
+                                                 libencode-perl \
+                                                 libio-string-perl \
+                                                 libjson-xs-perl \
+                                                 libmodule-install-perl \
+                                                 libmodule-install-readmefrompod-perl \
+                                                 libobject-tiny-perl \
+                                                 libperl-critic-perl \
+                                                 libregexp-common-perl \
+                                                 libtest-exception-perl \
+                                                 libtest-pod-perl \
+                                                 libtry-tiny-perl \
+ && apt-get -qqy clean \
+ && rm -rf /var/lib/apt/lists
 RUN curl -sSL https://cpanmin.us \
   | perl - --self-upgrade \
- && cpanm --mirror https://www.cpan.org/ install Compress::Zlib \
-                                                 Compress::Zstd \
-                                                 Encode \
-                                                 IO::String \
-                                                 JSON::XS \
-                                                 Math::BigInt \
-                                                 Module::Install \
-                                                 Module::Install::ReadmeFromPod \
+ && cpanm --mirror https://www.cpan.org/ install Compress::Zstd \
                                                  Module::Install::Repository \
-                                                 Object::Tiny \
-                                                 Perl::Critic \
-                                                 Regexp::Common \
-                                                 Test::Exception \
-                                                 Test::More \
                                                  Test::Pod \
-                                                 Try::Tiny \
  && rm -rf .cpanm
 
 # Install Python packages


Mime
View raw message